# OpenSSL

[![Swift][swift-badge]][swift-url]
[![Zewo][zewo-badge]][zewo-url]
[![Platform][platform-badge]][platform-url]
[![License][mit-badge]][mit-url]
[![Slack][slack-badge]][slack-url]
[![Travis][travis-badge]][travis-url]
[![Codebeat][codebeat-badge]][codebeat-url]

**OpenSSL** for **Swift 3.0**.

## Installation

### OSX

- Install `openssl` using `brew`

```sh
brew install openssl
brew link openssl --force # OpenSSL headers & dylib are not symlinked to /usr/local by default
```

### Linux

- Install `libssl-dev` using `apt-get`

```sh
apt-get install libssl-dev
```

- Add `OpenSSL` to your `Package.swift`

```swift
import PackageDescription

let package = Package(
	dependencies: [
		.Package(url: "https://github.com/Zewo/OpenSSL.git", majorVersion: 0, minor: 5),
	]
)

```

- Build your app/library with the given flags

```sh
swift build -Xcc -I/usr/local/include -Xlinker -L/usr/local/lib
```

## Support

If you need any help you can join our [Slack](http://slack.zewo.io) and go to the **#help** channel. Or you can create a Github [issue](https://github.com/Zewo/Zewo/issues/new) in our main repository. When stating your issue be sure to add enough details, specify what module is causing the problem and reproduction steps.

## Community

[![Slack][slack-image]][slack-url]

The entire Zewo code base is licensed under MIT. By contributing to Zewo you are contributing to an open and engaged community of brilliant Swift programmers. Join us on [Slack](http://slack.zewo.io) to get to know us!

## License

This project is released under the MIT license. See [LICENSE](LICENSE) for details.

[swift-badge]: https://img.shields.io/badge/Swift-3.0-orange.svg?style=flat
[swift-url]: https://swift.org
[zewo-badge]: https://img.shields.io/badge/Zewo-0.5-FF7565.svg?style=flat
[zewo-url]: http://zewo.io
[platform-badge]: https://img.shields.io/badge/Platforms-OS%20X%20--%20Linux-lightgray.svg?style=flat
[platform-url]: https://swift.org
[mit-badge]: https://img.shields.io/badge/License-MIT-blue.svg?style=flat
[mit-url]: https://tldrlegal.com/license/mit-license
[slack-image]: http://s13.postimg.org/ybwy92ktf/Slack.png
[slack-badge]: https://zewo-slackin.herokuapp.com/badge.svg
[slack-url]: http://slack.zewo.io
[travis-badge]: https://travis-ci.org/Zewo/OpenSSL.svg?branch=master
[travis-url]: https://travis-ci.org/Zewo/OpenSSL
[codebeat-badge]: https://codebeat.co/badges/60ea15e0-1814-45cc-ba3e-a16578e5fab5
[codebeat-url]: https://codebeat.co/projects/github-com-zewo-openssl